Subject: Re: [Gen-art] Gen-ART review of draft-kanno-tls-camellia-00

From: "Miguel A. Garcia" <[email-masked]>
Date: Mon, 4 Apr 2011 14:15:44 +0200

Hi Satoru,

This looks good to me.

/Miguel

On 04/04/2011 13:14, Satoru Kanno wrote:
> Dear Miguel,
>
> Thank you for your review.
> I have resolved for your comments in our draft.
> And, I have found and edited nits by additional self review.
>
> + Elliptic curve encryption is not right.
>     Correctly, it's elliptic curve cryptosystem (ECC)
>
> (2011/03/09 17:52), Miguel A. Garcia wrote:
>> I have been selected as the General Area Review Team (Gen-ART)
>> reviewer for this draft. For background on Gen-ART, please see the FAQ
>> at<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
>>
>> Please resolve these comments along with any other comments you may
>> receive.
>>
>> Document: draft-kanno-tls-camellia-00.txt
>> Reviewer: Miguel Garcia<[email-masked]>
>> Review Date: 2011-03-09
>> IETF LC End Date: 2011-03-23
>> IESG Telechat: 2011-04-14
>>
>> Summary: The document is ready for publication as an informational RFC.
>>
>> Major issues: none
>>
>> Minor issues: none
>>
>> Nits:
>>
>> - It would be nice if the draft includes formal references to external
>> document where appropriate. Let me provide a few examples where I
>> believe those formal references are missing:
>>
>> + Section 1, Introduction, missing reference to the SHA-2 family.
>> Probably the reference should be done towards NIST FIPS 180-3:
>>
>> The proposed
>> cipher suites include variants using SHA-2 family of cryptographic
>> hash functions and Galois counter mode (GCM) [11].
>>
>
> Adding reference for SHA-2 family. I resolved as a follow:
> --
> The proposed cipher suites include variants using SHA-2 family of
> cryptographic hash functions [14] and Galois counter mode (GCM) [15].
> --
>
>> + Section 3.2, add reference to AES (FIPS 197) at the beginning of:
>>
>> AES authenticated encryption with additional data algorithms,
>> AEAD_AES_128_GCM and AEAD_AES_256_GCM are described in RFC5116 [5].
>>
>
> Adding reference for AES and here is first occurrence for AES to expand
> term. I used short term at second occurrence prior.
> I resolved as a follow:
> --
> Advanced Encryption Standard (AES) [20] authenticated encryption with
> additional data algorithms, AEAD_AES_128_GCM and AEAD_AES_256_GCM are
> described in RFC5116 [8].
> --
>
>> + Section 3.3, add a reference TLS 1.2 (RFC 5246).
>>
>> The hash algorithms and PRF algorithms for TLS 1.2 SHALL be as
>> follows:
>>
>
> Adding reference for TLS 1.2 and here is first occurrence for PSK to
> expand term as pseudo random function. I used short term at second
> occurrence prior. I resolved as a follow:
> --
> The hash algorithms and pseudorandom function (PRF) algorithms for
> TLS 1.2 [9] SHALL be as follows:
> --
>
>
>> + Section 3.3, add a reference to HMAC-SHA-256/384, most likely RFC
>> 2104. Also to SHA-356/384 (NIST FIPS 180-3=:
>>
>> a) The cipher suites ending with _SHA256 use HMAC-SHA-256 as the MAC
>> algorithm, The PRF is the TLS PRF [6] with SHA-256 as the hash
>> function,
>> b) The cipher suites ending with _SHA384 use HMAC-SHA-384 as the MAC
>> algorithm, The PRF is the TLS PRF [6] with SHA-384 as the hash
>> function.
>>
>
> Adding references for HAMC-SHA-256/384 and SHA-256/384.
> I resolved as a follow:
> --
> a) The cipher suites ending with _SHA256 use HMAC-SHA-256 [1] as the
> MAC algorithm, The PRF is the TLS PRF [9] with SHA-256 [14] as the
> hash function,
> b) The cipher suites ending with _SHA384 use HMAC-SHA-384 [1] as the
> MAC algorithm, The PRF is the TLS PRF [9] with SHA-384 [14] as the
> hash function.
> --
>
>
>> + Section 3.3, add a reference to TLS versions prior to 1.2, for example
>> RFC 2246, and RFC 4346:
>>
>> When used with TLS versions prior to 1.2, the PRF is calculated as
>> specified in the appropriate version of the TLS specification.
>>
>
> Adding reference for TLS 1.2 and here is first occurrence for PSK then I
> write expand term as pseudo random function. I used short term at second
> occurrence prior.
> I resolved as a follow:
> --
> When used with TLS versions prior to 1.2 ( TLS 1.0 [2] and TLS 1.1
> [6]), the PRF is calculated as specified in the appropriate version
> of the TLS specification.
> --
>
>
>>
>>
>> - Expand terms at first occurrence. This includes: AES, PRF
>>
>
> I resolved as following:
>    -Advanced Encryption Standard (AES)
>    -pseudorandom function (PRF)
>
>>
>> - Introduction, the last sentence is already repeated and does not add
>> any value. It can be safely deleted:
>>
>> The Camellia algorithm and its properties are described in [2].
>>
>
> I deleted the sentence.
>
> Regards,
> Satoru
>
>>
>>
>>
>>
>> Miguel G.
>
>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: Satoru Kanno <[email-masked]>
Date: Mon, 04 Apr 2011 20:14:23 +0900

Dear Miguel,

(2011/03/09 17:52), Miguel A. Garcia wrote:
> at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
>
> Reviewer: Miguel Garcia <[email-masked]>
> Review Date: 2011-03-09

I resolved as following:

I deleted the sentence.

Regards,
Satoru

-- 
Satoru Kanno

Security Business Unit
Mobile and Security Solution Business Group
NTT Software Corporation

e-mail: [email-masked]